evaluations
Create evaluations test
Requires scopes: eval:write
POST
/
api
/
evaluations
/
{id}
/
playground
/
scorers
/
test
Create evaluations test
curl --request POST \
--url https://evalgate.com/api/evaluations/{id}/playground/scorers/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": "<string>",
"output": "<string>",
"configId": 123,
"expectedOutput": "<string>",
"context": "<string>"
}
'import requests
url = "https://evalgate.com/api/evaluations/{id}/playground/scorers/test"
payload = {
"input": "<string>",
"output": "<string>",
"configId": 123,
"expectedOutput": "<string>",
"context": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: '<string>',
output: '<string>',
configId: 123,
expectedOutput: '<string>',
context: '<string>'
})
};
fetch('https://evalgate.com/api/evaluations/{id}/playground/scorers/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"provider": "local",
"score": 123,
"latencyMs": 123,
"aggregation": "all_pass",
"model": "<string>",
"reasoning": "<string>",
"flags": [
"<string>"
],
"passed": true,
"signals": {},
"retries": 123,
"judgeResults": [
{
"type": "rule",
"latencyMs": 123,
"judgeId": "<string>",
"error": "<string>",
"provider": "local",
"result": {
"provider": "local",
"score": 123,
"latencyMs": 123,
"model": "<string>",
"reasoning": "<string>",
"passed": true,
"signals": {},
"retries": 123,
"judgeId": "<string>",
"parseStatus": "failed",
"confidence": 123,
"modelCallId": "<string>",
"tokenUsage": {
"input": 123,
"output": 123,
"total": 123
},
"modelProvenance": {
"provider": "local",
"model": "<string>",
"temperature": 123,
"prompt_hash": "<string>",
"top_p": 123,
"max_tokens": 123,
"seed": 123
},
"cached": false,
"judgeFingerprint": {}
},
"model": "<string>",
"weight": 123,
"modelProvenance": {
"provider": "local",
"model": "<string>",
"temperature": 123,
"prompt_hash": "<string>",
"top_p": 123,
"max_tokens": 123,
"seed": 123
}
}
],
"judgeId": "<string>",
"parseStatus": "failed",
"disagreement": {
"rate": 123,
"reasoningDivergence": 123,
"outlierJudgeIds": [
"<string>"
],
"requiresEscalation": true
},
"judgeResultId": 123,
"judgeConfigHash": "<string>",
"comparabilityStatus": "not_comparable",
"confidence": 123,
"totalCostUsd": 123,
"tokenUsage": {
"input": 123,
"output": 123,
"total": 123
},
"variance": 123
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful response
provider
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>Option 6 · enum<string>Option 7 · enum<string>Option 8 · enum<string>Option 9 · enum<string>Option 10 · enum<string>
required
Available options:
local aggregation
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>
required
Available options:
all_pass Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
failed Show child attributes
Show child attributes
comparabilityStatus
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>
Available options:
not_comparable Show child attributes
Show child attributes
⌘I
Create evaluations test
